=encoding utf8

=head1 NAME

release_schedule - Perl 5 release schedule

=head1 STABLE RELEASE SCHEDULE

This schedule lists the projected or historical development and
release schedules for the next, current and previous stable versions
of Perl.  Dates with all question marks will only be releases if
deemed necessary by the Pumpking.

=head2 Perl 5.20

Code freezes (which happen in the 5.19.X series)

  2014-01-20  5.19.8          Contentious changes freeze
  2014-02-20  5.19.9          User-visible changes freeze
  2014-03-20  5.19.10         Full code freeze
  2014-05-20  5.20.0          Stable release!

=head2 Perl 5.18

Release schedule (with release manager):

  2013-05-18  5.18.0 ✓        Ricardo Signes
  2013-08-12  5.18.1 ✓        Ricardo Signes
  2013-11-??  5.18.2          Ricardo Signes

(RC0 will be released once we think that all the blockers have been
addressed.  This typically means some time in April or May.)

=head2 Perl 5.16

Release schedule (with release managers):

  2012-05-20  5.16.0 ✓        Ricardo Signes
  2012-08-08  5.16.1 ✓        Ricardo Signes
  2012-11-01  5.16.2 ✓        Ricardo Signes
  2013-03-11  5.16.3 ✓        Ricardo Signes
  ????-??-??  5.16.4          ??

=head1 DEVELOPMENT RELEASE SCHEDULE

This schedule lists the release engineers for at least the next
four months of releases of bleadperl. If there are fewer than
four months listed as you make a release, it's important
that you extend the schedule AND B<identify the next release engineer>.

Before adding a release engineer, you B<must> contact them and they
B<must> consent to ship the release.

When shipping a release, you should include the schedule for (at least)
the next four releases. If a stable version of Perl is released,
you should reset the version numbers to the next blead series.

=head2 Perl 5.19

  2013-05-20  5.19.0          Ricardo Signes
  2013-06-20  5.19.1          David Golden
  2013-07-20  5.19.2          Aristotle Pagaltzis
  2013-08-20  5.19.3          Steve Hay
  2013-09-20  5.19.4          Steve Hay
  2013-10-20  5.19.5          Steve Hay
  2013-11-20  5.19.6          Chris Williams
  2013-12-20  5.19.7          Abigail
  2014-01-20  5.19.8          Ricardo Signes
  2014-02-20  5.19.9          Tony Cook
  2014-03-20  5.19.10         Aaron Crane
  2014-04-20  5.19.11         Steve Hay

=head2 Perl 5.21

  2014-05-20  5.21.0          Ricardo Signes
  2014-06-20  5.21.1          Matthew Horsfall
  2014-07-20  5.21.2          Abigail
  2014-08-20  5.21.3          ?
  2014-09-20  5.21.4          ?
  2014-10-20  5.21.5          ?
  2014-11-20  5.21.6          ?
  2014-12-20  5.21.7          ?
  2015-01-20  5.21.8          ?
  2015-02-20  5.21.9          ?
  2015-03-20  5.21.10         ?
  2015-04-20  5.21.11         ?

=head1 VICTIMS

The following porters have all consented to do at least
one release of bleadperl.  If you can't do a release
and can't find a substitute amongst this list, mail p5p.

(Please do not add any names to this list without prior
consent of the Pumpking.)

Abigail <abigail@abigail.be>
Aristotle Pagaltzis <pagaltzis@gmx.de>
Ask Bjørn Hansen <ask@perl.org>
Chris Williams <bingos@cpan.org>
Dave Cross <dave@perlhacks.com>
Dave Rolsky <autarch@urth.org>
David Golden <dagolden@cpan.org>
Florian Ragwitz <rafl@debian.org>
Jesse Luehrs <doy@cpan.org>
Jesse Vincent <jesse@cpan.org>
Leon Brocard <acme@astray.com>
Matt Trout <mst@shadowcat.co.uk>
Max Maischein <corion@cpan.org>
Philippe Bruhat <book@cpan.org>
Ricardo Signes <rjbs@cpan.org>
Stevan Little <stevan.little@iinteractive.com>
Steve Hay <steve.m.hay@googlemail.com>
Tatsuhiko Miyagawa <miyagawa@bulknews.net>
Tony Cook <tony@develop-help.com>
Yves Orton <demerphq@gmail.com>
Zefram <zefram@fysh.org>
Ævar Arnfjörð Bjarmason <avar@cpan.org>

=head1 AUTHOR

Jesse Vincent <jesse@cpan.org>

=cut
